## BtMissingSongElementsDialog BtMissingSongElementsDialog — missing song machine and wave elements |

## Functions

BtMissingSongElementsDialog * | bt_missing_song_elements_dialog_new ()

## Properties

gpointer | machines | Write / Construct Only
gpointer | waves | Write / Construct Only

## Types and Values

struct | BtMissingSongElementsDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkDialog
                                ╰── BtMissingSongElementsDialog

## Implemented Interfaces

BtMissingSongElementsDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include "bt-edit.h"

## Description

A dialog to inform about missing song machine and wave elements.

## Functions

### bt_missing_song_elements_dialog_new ()

    BtMissingSongElementsDialog *
    bt_missing_song_elements_dialog_new (GList *machines,
                                         GList *waves);

Create a new instance

#### Parameters

machines | list of missing machine elements |
waves | list of missing wave files |

#### Returns

the new instance

## Types and Values

### struct BtMissingSongElementsDialog

    struct BtMissingSongElementsDialog;

the root window for the editor application

## Property Details

### The `“machines”` property

      “machines”                 gpointer

Set missing machines list, the dialog handles.

Flags: Write / Construct Only

### The `“waves”` property

      “waves”                    gpointer

Set missing waves list, the dialog handles.

Flags: Write / Construct Only